<%--

This primarily demonstrates how FreeMarker now can load its templates from OpenCms' virtual filesystem.

--%>
<%@ 
page session="false" %><%@ 
page import="java.util.*,java.io.*" %><%@ 
page import="org.opencms.jsp.*, org.opencms.file.*" %><%@ 
page import="freemarker.template.*, freemarker.cache.*, com.codedroids.oc.freemarker.*" %>
<%
  CmsJspActionElement cms = new CmsJspActionElement(pageContext, request, response);
  CmsObject cmso = cms.getCmsObject();

  // data model

  // Create the root hash
  Map root = new HashMap();
  // Put string ``user'' into the root
  root.put("user", "Big Joe");
  // Create the hash for ``latestProduct''
  Map latest = new HashMap();
  // and put it into the root
  root.put("latestProduct", latest);
  // put ``url'' and ``name'' into latest
  latest.put("url", "products/greenmouse.html");
  latest.put("name", "green mouse");  

  freemarker.template.Configuration cfg = new freemarker.template.Configuration();
  cfg.setTemplateLoader(new VFSTemplateLoader(cmso, "/system/modules/com.codedroids.oc.freemarker/docs/"));
  cfg.setLocalizedLookup(false); // if you set this to true you can uncomment the next line to get control over the locale
  //Template temp = cfg.getTemplate("ex1-template.html", new Locale("da"), "ISO-8859-1");
  Template temp = cfg.getTemplate("ex1-template.html", "UTF-8");
  temp.process(root, out);
%>